<html xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout.html}"
>
<head>
    <title>Logs</title>
    <!--    <link rel="stylesheet" th:href="@{/css/newspaceship.css}" type="text/css"/>-->
</head>

<body>
<div layout:fragment="content">
    <h1>Logs</h1>
    <table class="table table-sm">
        <thead>
        <tr>
            <th style="width:  22%" scope="col" th:text="#{msg.id}"/>
            <th scope="col" th:text="#{msg.message}"/>
        </tr>
        </thead>
        <tbody>
        <tr th:each="log, iStat : ${logPage.content}"
            th:style="${iStat.odd}? 'font-weight: bold;'"
            th:alt-title="${iStat.even}? 'even' : 'odd'">
            <td th:text="${log.time}"/>
            <td th:text="${log.message}"/>
        </tr>
        </tbody>
    </table>
    <div>
        <nav th:if="${logPage.totalPages > 0}" aria-label="Page navigation example">
            <ul class="pagination justify-content-center">
                <li th:if="${pageNumber < 16}" class="page-item" th:each="pageNumber : ${pageNumbers}">
                    <a class="page-link" th:href="@{/logs(size=${logPage.size}, page=${pageNumber})}"
                       th:text="${pageNumber}" th:classappend="${pageNumber==logPage.number + 1} ? active">Previous</a>
                </li>
                <button class="btn dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown"
                        aria-haspopup="true" aria-expanded="false">
                    More
                </button>
                <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                    <li th:if="${pageNumber >= 16 || pageNumber == logPage.totalPages}"
                        th:each="pageNumber : ${pageNumbers}" class="page-item">
                        <a th:if="${pageNumber >= 16}" class="page-link-dropdown"
                           th:href="@{/logs(size=${logPage.size}, page=${pageNumber})}"
                           th:text="${pageNumber}"
                           th:classappend="${pageNumber==logPage.number + 1} ? active">13</a>
                        <a th:if="${pageNumber == logPage.totalPages}" class="page-link-dropdown">No more
                            pages</a>
                    </li>
                </div>
            </ul>
        </nav>
    </div>

</div>
</body>